package com.jdnevnik.ainterface.listeners;

import com.jdnevnik.ainterface.*;

import java.awt.*;

public abstract class Listener {
    private Automata _automata = null;
    private State _startState = null;

    public Listener(Automata aAutomata, State aStartState) {
        _automata = aAutomata;
        _startState = aStartState;
    }

    public Automata getAutomata() {
        return _automata;
    }

    public void setAutomata(Automata aAutomata) {
        _automata = aAutomata;
    }

    public State getStartState() {
        return _startState;
    }

    public void setStartState(State aStartState) {
        _startState = aStartState;
    }

    public abstract void addListenerToComponent(Component aComponent, String aListenerType) throws Exception;
}
