package com.jdnevnik.ainterface.loginFrame.actions;

import com.jdnevnik.ainterface.*;
import com.jdnevnik.ainterface.mock.*;

import java.awt.*;

public class ChangeColors implements IActions {
    public static final Color COLOR_HIGHLIGHTED = new Color(0.8f, 1f, 0.8f);
    public static final Color COLOR_NOT_HIGHLIGHTED = new Color(1f, 1f, 1f);

    public void process(Automata aAutomata) {
        LoginFrame frame = (LoginFrame) aAutomata.getRootComponent();

        if (frame.getTextFieldLogin().isFocusOwner()) {
            frame.getTextFieldLogin().setBackground(COLOR_HIGHLIGHTED);
        } else {
            frame.getTextFieldLogin().setBackground(COLOR_NOT_HIGHLIGHTED);
        }

        if (frame.getPasswordField().isFocusOwner()) {
            frame.getPasswordField().setBackground(COLOR_HIGHLIGHTED);
        } else {
            frame.getPasswordField().setBackground(COLOR_NOT_HIGHLIGHTED);
        }
    }
}
