package com.jdnevnik.ainterface.listeners;

import com.jdnevnik.ainterface.*;
import com.jdnevnik.ainterface.Event;

import java.awt.event.*;
import java.awt.*;

public class AutoActionListener extends Listener implements ActionListener {
    public AutoActionListener(Automata aAutomata, State aStartState) {
        super(aAutomata, aStartState);
    }

    public void addListenerToComponent(Component aComponent, String aListenerType) throws Exception {
        aComponent.getClass().
                getMethod("addActionListener", ActionListener.class).
                invoke(aComponent, this);
    }

    public void actionPerformed(ActionEvent aEvent) {
        getAutomata().processEvent(new Event(getStartState(), aEvent));
    }
}
