package com.jdnevnik.ainterface.loginFrame.actions;

import com.jdnevnik.ainterface.*;
import com.jdnevnik.ainterface.mock.*;

public class ChangeEnteredData implements IActions {
    protected static final String PREV_LOGIN = "prevLogin";
    protected static final String LOGIN = "login";

    public void process(Automata aAutomata) {
        aAutomata.setAttribute(PREV_LOGIN, aAutomata.getAttributeAsString(LOGIN));
        aAutomata.setAttribute(LOGIN, ((LoginFrame) aAutomata.getRootComponent()).getTextFieldLogin().getText());
    }
}
