package com.jdnevnik.ainterface.loginFrame.conditions;

import com.jdnevnik.ainterface.*;

import java.awt.event.*;

public class EnteredBadValue implements ICondition {
    public boolean valid(Automata aAutomata) {
        if (aAutomata.getProcessingEvent().getEvent() instanceof KeyEvent) {
            KeyEvent event = (KeyEvent) aAutomata.getProcessingEvent().getEvent();
            char ch = event.getKeyChar();

            if (event.getKeyCode() == KeyEvent.VK_ENTER) {
                return false;
            }

            if (ch < 'a' || ch > 'z') {
                return true;
            }
        }

        return false;
    }
}
