package com.jdnevnik.ainterface.mock;

import javax.swing.*;

import java.awt.*;

public class LoginFrame extends JFrame {
    private JPanel _panelMain;
    private JButton _buttonOk;
    private JButton _buttonCancel;
    private JTextField _textFieldLogin;
    private JPasswordField _passwordField;

    public LoginFrame() throws HeadlessException {
        setTitle("LoginFrame");
        add(_panelMain);
        pack();
        setSize(400, 103);

        setDefaultCloseOperation(EXIT_ON_CLOSE);
    }

    public JButton getButtonCancel() {
        return _buttonCancel;
    }

    public JButton getButtonOk() {
        return _buttonOk;
    }

    public JPanel getPanelMain() {
        return _panelMain;
    }

    public JPasswordField getPasswordField() {
        return _passwordField;
    }

    public JTextField getTextFieldLogin() {
        return _textFieldLogin;
    }

    public static void main(String[] args) {
        LoginFrame frame = new LoginFrame();
        frame.setVisible(true);
    }
}
